
kerio.waw.ui.sslCertificateDetails = {

x_m: function(x_n) {
var
x_5o,
x_3l,
x_1d,
x_1c,
x_10,
x_1nz,
x_ja,
x_jb,
x_16,
x_2w,
x_1e,
x_1o0,
x_1b = kerio.lib,
x_x = x_1b.x_x,
x_o = (kerio.waw.status.x_p.x_q === x_r.x_s.x_t),
x_1o1 = ('x_19g' === x_n);
this.x_ga = x_n; x_2w = x_n + '_';
x_5o = {
x_5x: {
x_nh: {
x_7s: 'groupName',
x_ni: true
},
x_1e: [
{	x_7s: 'groupName',
x_ni: true,
x_gn: true
},
{	x_7s: 'name',
x_23: x_x('Name', 'common'),
x_1u: 140,
x_cs: false
},
{	x_7s: 'value',
x_23: x_x('Value', 'common'),
x_cs: false
}
]
},
x_5z: []
};x_3l = new kerio.lib.x_4g(x_2w + 'x_3l', x_5o);
x_1d = {
x_5p: x_o,
x_1e: [
{	x_1f: 'x_79',
x_23: x_x('Attributes', 'sslCertificate'),
x_1e: [
{	x_1f: 'x_1g',
x_1x: x_3l,
x_1v: x_1b.x_a1({
x_a2: 270,
hu: 260
}),
x_1u: 300
},
x_fi.x_17i('x_1ni')
]
}
]
};if (!x_1o1) {

x_1d.x_1e.push(
{	x_1f: 'x_b3',
x_1p: 'formLastContainer',
x_1e: [
'->',
{	x_1f: 'x_rc',
x_1j: 'x_1o2',
x_23: x_x('Generate Certificate…', 'sslCertificate'),

x_25: function(x_1c) {
var
x_16 = x_1c.x_16;
kerio.lib.x_5l.x_5m({
x_5g: 'sslCertificateGenerate',
x_28: {
x_9d: x_16,
x_47: {
x_150: x_16.x_150
}
}
});
}},
{	x_1f: 'x_rc',
x_1j: 'x_1o3',
x_23: x_x('Import Certificate…', 'sslCertificate'),

x_25: function(x_1c) {
kerio.lib.x_5l.x_5m({
x_5g: 'sslCertificateImport',
x_28: {
x_9d: x_1c.x_16
}
});
}}
]}
);x_1o0 = [
{	x_1j: 'x_jj',
x_23: x_x('Close', 'common'),
x_21: true
}
];
x_1nz = x_x('SSL Certificate Details', 'sslCertificate');
} else {

x_1e = x_1d.x_1e;
x_1e.unshift({	x_1f: 'x_1i',
x_1l: true,
x_1o: x_x('Do you want to accept this certificate?', 'sslCertificate')
});
x_1e.unshift({	x_1f: 'x_1i',
x_1j: 'x_19l',
x_1l: true,
x_1o: ''
});
x_1e[1].x_1p = 'formLastContainer';
x_1o0 = [
{	x_1j: 'x_1o4',
x_23: x_x('Accept Certificate', 'common'),

x_25: function() {
var
x_16 = this.x_2p;
if (x_16.x_19h) {
x_16.x_19h.call(x_16, x_16.x_150);
return;
}
x_16.x_ly(kerio.lib.x_x('Saving certificate…', 'sslCertificate'));
x_fi.x_4y(
'CertificateManager',
'set',
{	id: x_16.x_1o5,
type: x_r.x_151.x_12w
},
x_16.x_1o6,
x_16);
}},
{	x_1j: 'x_ji',
x_23: x_x('Cancel', 'common'),
x_21: true,

x_25: function() {
var
x_16 = this.x_2p;
if (x_16.x_19j) {
x_16.x_19j.call(x_16, x_16.x_150);
return;
}
x_16.x_ly(kerio.lib.x_x('Discarting certificate…', 'sslCertificate'));
x_fi.x_4y(
'CertificateManager',
'discard',
{	ids: [x_16.x_1o5]
},
x_16.x_1o7,
x_16);
}}
];x_1nz = x_x('Confirm SSL Certificate', 'sslCertificate');
}
x_1c = new x_1b.x_1t(x_2w + 'x_1c', x_1d);
if (kerio.lib.x_j9) {
x_1c.x_29('x_183').x_2o.onDisable = x_fi.x_184;
}
x_jb = x_1b.x_a1({
x_a2: 550,
cs: 560
});
x_ja = x_1b.x_a1({
x_a2: 455,
ja: 465
});
x_10 = {
x_1u: x_ja,
x_l0: x_ja,
x_1v: x_jb,
x_l1: x_jb,
x_1y: x_1nz,
x_1x: x_1c,
x_1z: x_1o0
};x_16 = new x_1b.x_26(this.x_ga, x_10);
x_1c.x_27(
{	x_16: x_16,
x_1o8: x_1c.x_29('x_19l')
}
);
x_16.x_27(
{	x_1c: x_1c,
x_3l: x_3l,
x_1o1: x_1o1,
x_1o5: undefined,
x_150: undefined,
x_19h: undefined,
x_19j: undefined,
x_oo: undefined,
x_vr: {
x_1o9: x_x('Issuer', 'sslCertificate'),
x_1oa: x_x('Subject', 'sslCertificate'),
x_1ob: '<' + x_x('not specified', 'common') + '>',
x_1oc: {
hostname: x_x('Hostname', 'sslCertificate'),
organizationName: x_x('Organization name', 'sslCertificate'),
organizationalUnitName: x_x('Organizational Unit', 'sslCertificate'),
city: x_x('City', 'sslCertificate'),
state: x_x('State or Province', 'sslCertificate'),
country: x_x('Country', 'sslCertificate')
}
}
}
);this.x_2a(x_16);
return x_16;
}, 
x_2a: function(x_2b) {

x_2b.x_2c = function(x_28){
var
x_150 = x_28.x_47.x_150,
x_vr = this.x_vr,
x_1od = x_vr.x_1ob,
x_1oe = x_vr.x_1oc,
x_1of = {
'issuer': x_vr.x_1o9,
'subject': x_vr.x_1oa
},
x_47 = {
'issuer': x_150.issuer,
'subject': x_150.subject
},
x_dr = [],
x_1og,
x_1oh,
x_1f,
x_1mc;
for (x_1f in x_47) {
if ('object' !== typeof x_47[x_1f]) {
continue;
}
x_1og = x_47[x_1f];
for (x_1mc in x_1og) {
if ('object' !== typeof x_1og[x_1mc]) {
continue;
}
x_1oh = x_1og[x_1mc];
x_dr.push(
{	groupName: x_1of[x_1f],
name: x_1oe[x_1oh.name],
value: ('' !== x_1oh.value ? x_1oh.value : x_1od)
}
);
}}
this.x_3l.x_7k(x_dr);
if (this.x_1o1) {
this.x_1c.x_1o8.x_9w(x_28.x_47.x_19l);
this.x_1o5 = x_28.x_47.x_1o5;
this.x_19h = x_28.x_19h;
this.x_19j = x_28.x_19j;
}
this.x_150 = x_150;
if (x_28.x_9d) {
this.x_oo = x_28.x_9d;
}
x_fi.x_18b(this.x_1c, x_150);
};
x_2b.x_1o6 = function(x_6v) {
this.x_24(false);
if (x_6v.x_6x) {
this.x_19i(this.x_150);
}
this.x_2r();
};
x_2b.x_19i = function(x_150) {
var
x_1oi = this.x_oo.x_oo,
x_1oj = x_1oi.x_oo.x_12p,
x_1ok = x_1oi.x_oo.x_5d;
x_1oi.x_2c(
{x_47: {	x_150:x_150
}
}
);
x_fi.x_18b(x_1oj, x_150);
x_1ok.x_150 = x_150;
};
x_2b.x_1o7 = function() {
this.x_24(false);
this.x_2r();
};}
}; 